# Az - VMs & Netwerk Post Exploitatie

{{#include ../../../banners/hacktricks-training.md}}

## VMs & Netwerk

Vir meer inligting oor Azure VMs en netwerk, kyk die volgende bladsy:

{{#ref}}
../az-services/vms/
{{#endref}}

### VM Toepassing Pivotering

VM-toepassings kan gedeel word met ander subskripsies en huurders. As 'n toepassing gedeel word, is dit waarskynlik omdat dit gebruik word. So as die aanvaller daarin slaag om die **toepassing te kompromitteer en 'n backdoored** weergawe op te laai, mag dit moontlik wees dat dit **in 'n ander huurder of subskripsie** uitgevoer sal word.

### Sensitiewe inligting in beelde

Dit mag moontlik wees om **sensitiewe inligting binne beelde** te vind wat in die verlede van VMs geneem is.

1. **Lys beelde** uit galerye
```bash
# Get galleries
az sig list -o table

# List images inside gallery
az sig image-definition list \
--resource-group <RESOURCE_GROUP> \
--gallery-name <GALLERY_NAME> \
-o table

# Get images versions
az sig image-version list \
--resource-group <RESOURCE_GROUP> \
--gallery-name <GALLERY_NAME> \
--gallery-image-definition <IMAGE_DEFINITION> \
-o table
```
2. **Lys van pasgemaakte beelde**
```bash
az image list -o table
```
3. **Skep VM vanaf beeld-ID** en soek vir sensitiewe inligting daarin
```bash
# Create VM from image
az vm create \
--resource-group <RESOURCE_GROUP> \
--name <VM_NAME> \
--image /subscriptions/<SUBSCRIPTION_ID>/resourceGroups/<RESOURCE_GROUP>/providers/Microsoft.Compute/galleries/<GALLERY_NAME>/images/<IMAGE_DEFINITION>/versions/<IMAGE_VERSION> \
--admin-username <ADMIN_USERNAME> \
--generate-ssh-keys
```
### Sensitiewe inligting in herstelpunte

Dit mag moontlik wees om **sensitiewe inligting binne herstelpunte** te vind.

1. **Lys herstelpunte**
```bash
az restore-point list \
--resource-group <RESOURCE_GROUP> \
--restore-point-collection-name <COLLECTION_NAME> \
-o table
```
2. **Skep 'n skyf** vanaf 'n herstelpunt
```bash
az disk create \
--resource-group <RESOURCE_GROUP> \
--name <NEW_DISK_NAME> \
--source /subscriptions/<SUBSCRIPTION_ID>/resourceGroups/<RESOURCE_GROUP>/providers/Microsoft.Compute/restorePointCollections/<COLLECTION_NAME>/restorePoints/<RESTORE_POINT_NAME>
```
3. **Koppel die skyf aan 'n VM** (die aanvaller moet reeds 'n VM binne die rekening gecompromitteer het)
```bash
az vm disk attach \
--resource-group <RESOURCE_GROUP> \
--vm-name <VM_NAME> \
--name <DISK_NAME>
```
4. **Monteer** die skyf en **soek na sensitiewe inligting**

{{#tabs }}
{{#tab name="Linux" }}
```bash
# List all available disks
sudo fdisk -l

# Check disk format
sudo file -s /dev/sdX

# Mount it
sudo mkdir /mnt/mydisk
sudo mount /dev/sdX1 /mnt/mydisk
```
{{#endtab }}

{{#tab name="Windows" }}

#### **1. Open Disk Management**

1. Regsklik op **Start** en kies **Disk Management**.
2. Die aangehegte skyf moet verskyn as **Offline** of **Unallocated**.

#### **2. Bring the Disk Online**

1. Vind die skyf in die onderste paneel.
2. Regsklik op die skyf (bv. **Disk 1**) en kies **Online**.

#### **3. Initialize the Disk**

1. As die skyf nie geïnitialiseer is nie, regsklik en kies **Initialize Disk**.
2. Kies die partisie-styl:
- **MBR** (Master Boot Record) of **GPT** (GUID Partition Table). GPT word aanbeveel vir moderne stelsels.

#### **4. Create a New Volume**

1. Regsklik op die nie-toegewezen ruimte op die skyf en kies **New Simple Volume**.
2. Volg die wizard om:
- 'n skyfletter toe te ken (bv. `D:`).
- die skyf te formateer (kies NTFS vir die meeste gevalle).
{{#endtab }}
{{#endtabs }}

### Sensitive information in disks & snapshots

Dit mag moontlik wees om **sensitive information inside disks or even old disk's snapshots** te vind.

1. **List snapshots**
```bash
az snapshot list \
--resource-group <RESOURCE_GROUP> \
-o table
```
2. **Skep skyf vanaf snappy** (indien nodig)
```bash
az disk create \
--resource-group <RESOURCE_GROUP> \
--name <DISK_NAME> \
--source <SNAPSHOT_ID> \
--size-gb <DISK_SIZE>
```
3. **Koppel en monteer die skyf** aan 'n VM en soek na sensitiewe inligting (kyk na die vorige afdeling om te sien hoe om dit te doen)

### Sensitiewe inligting in VM-uitbreidings & VM-toepassings

Dit mag moontlik wees om **sensitiewe inligting binne VM-uitbreidings en VM-toepassings** te vind.

1. **Lys alle VM-toepassings**
```bash
## List all VM applications inside a gallery
az sig gallery-application list --gallery-name <gallery-name> --resource-group <res-group> --output table
```
2. Installeer die uitbreiding in 'n VM en **soek vir sensitiewe inligting**
```bash
az vm application set \
--resource-group <rsc-group> \
--name <vm-name> \
--app-version-ids /subscriptions/9291ff6e-6afb-430e-82a4-6f04b2d05c7f/resourceGroups/Resource_Group_1/providers/Microsoft.Compute/galleries/myGallery/applications/myReverseShellApp/versions/1.0.2 \
--treat-deployment-as-failure true
```
{{#include ../../../banners/hacktricks-training.md}}
